org.eclipse.ease.ui.scripts.repository

## Interface IStorage

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface IStorage
    extends org.eclipse.emf.ecore.EObject

A representation of the model object ' Storage'.

The following features are supported:

- `Entries`

See Also:
  `IRepositoryPackage.getStorage()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<IScriptLocation>` `getEntries()` Returns the value of the 'Entries' containment reference list.
`java.util.Collection<IScript>` `getScripts()`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getEntries

    org.eclipse.emf.common.util.EList<IScriptLocation> getEntries()

Returns the value of the 'Entries' containment reference list. The list contents are of type `IScriptLocation`.

If the meaning of the 'Entries' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Entries' containment reference list.
See Also:
  `IRepositoryPackage.getStorage_Entries()`

#### getScripts

    java.util.Collection<IScript> getScripts()